%define _docdir %{_datadir}/doc

Name: onasys
Version: 0.3.0
Release: 1
Summary: LSC Online Analysis System
License: GPL
Group: Applications/Engineering
Source: %{name}-%{version}.tar.gz
URL: http://www.lsc-group.phys.uwm.edu/daswg/projects/onasys.html
Packager: Kipp Cannon <kipp@graviy.phys.uwm.edu>
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: mx
Requires: mysql
Requires: MySQL-python
Requires: python >= 2.3
Requires: SQLObject >= 0.6.1
Requires: %{name}-userenv = %{version}
BuildPrereq: mysql-devel
BuildPrereq: compat-gcc-32-c++
%description
This package provides the Online Analysis System (OnASys) suite of tools
for performing Grid-based online analysis of LIGO/GEO gravitational wave
data.


%package userenv
Summary: OnASys scripts and configuration files
Group: Applications/Engineering
%description userenv
This package provides several configuration file and environment settings
scripts.  This is a temporary package allowing certain configuration files
to be installed system-wide at LSC facilities, without requiring a full
install of OnASys.


%package devel
Summary: Development files for the BOSS component of OnASys
Group: Development/Libraries
Requires: %{name} = %{version}
%description devel
This package provides the headers and static libraries from the version of
the Batch Object Submission System (BOSS) distributed as part of OnASys.


%prep
%setup -q


%build
CXXFLAGS='-O2 -g -pipe -m32 -march=i386' %configure --enable-boss
%{__make}


%install
%{__make} install DESTDIR=%{buildroot}


%post
ldconfig


%post userenv
# Move config file out of the way if it already exists
if test -e %{_sysconfdir}/BossConfig.clad ; then
	mv -f %{_sysconfdir}/BossConfig.clad %{_sysconfdir}/BossConfig.clad.rpmold
fi
# Attempt to install new config file
case `hostname -f` in
	*.ligo.caltech.edu)
		ln -s %{_datadir}/%{name}/etc/BossConfig.clad.CIT %{_sysconfdir}/BossConfig.clad ;;

	*.ligo-la.caltech.edu)
		ln -s %{_datadir}/%{name}/etc/BossConfig.clad.LLO %{_sysconfdir}/BossConfig.clad ;;

	*.ligo-wa.caltech.edu)
		ln -s %{_datadir}/%{name}/etc/BossConfig.clad.LHO %{_sysconfdir}/BossConfig.clad ;;

	*.phys.uwm.edu)
		ln -s %{_datadir}/%{name}/etc/BossConfig.clad.UWM %{_sysconfdir}/BossConfig.clad ;;
esac
# If new config file was not installed, but an old one was found, copy the old
# one back into place.
if test -e %{_sysconfdir}/BossConfig.clad.rpmold -a ! -e %{_sysconfdir}/BossConfig.clad ; then
	cp -a %{_sysconfdir}/BossConfig.clad.rpmold %{_sysconfdir}/BossConfig.clad
fi


%preun userenv
# If the config file and an old copy are both found, remove only the old one
if test -e %{_sysconfdir}/BossConfig.clad.rpmold ; then
	rm -f %{_sysconfdir}/BossConfig.clad.rpmold
else
	rm -f %{_sysconfdir}/BossConfig.clad
fi


%postun
ldconfig


%clean
[ ${RPM_BUILD_ROOT} != "/" ] && rm -Rf ${RPM_BUILD_ROOT}
rm -Rf ${RPM_BUILD_DIR}/%{name}-%{version}


%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/*.so*
%{_libdir}/python*/site-packages/*
%{_docdir}/*
%{_datadir}/%{name}/examples
%{_datadir}/%{name}/forward_mysql.sh
%{_datadir}/%{name}/mysql
%{_datadir}/%{name}/sched_dagman

%files userenv
%defattr(-,root,root)
%config %{_sysconfdir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/etc

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*a
